Returns a JSON array of available version identifiers for the specified operating system.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/operating-system/{osName}/versions.do
Returns a JSON array of available version identifiers for the specified operating system. Each version can be used with the create OS targeting endpoint together with a relation operator (LOWER, GREATER, EQUAL, etc.) to target specific OS version ranges. The osName must be a valid OS name from the OS values endpoint. Requires UPDATE permission on the site and MANAGE_SUPPLY_PRE_TARGETING user permission.
Path Params
siteIdintegerrequired
Unique numeric ID of the site
3001
osNamestringrequired
Operating system. Accepts enum name or integer ID for backward compatibility
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/operating-system/WINDOWS/versions.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());